HomeForumsPlugins / ScriptsVray 3.5 for 3dsMax 2017-2013 (Dongle Extreme)Reply To: Vray 3.5 for 3dsMax 2017-2013 (Dongle Extreme)

#8669
tresdeviztresdeviz
Participant

Thanks for update 3.50.04

Dongle Extreme Works perfectly with all versions of 3ds MAX